package com.azt.itower.game;

/**
 * Title:
 * An Interface that contains all the resource constants for sound and images
 * @author thanassis@thanassis.com
 * @version 0.9 beta
 */
public interface ResourceConstants {
    // SOUNDS
    public static final String kRESOURCE_HOME = "resources/";
    public static final String kSOUND_HOME = kRESOURCE_HOME + "sounds/";
    public static final String kIMAGE_HOME = kRESOURCE_HOME + "images/";
    public static final String kSHUFFLE_SND = kSOUND_HOME + "shuffle.au";
    public static final String kPICK_SND = kSOUND_HOME + "pick.au";
    public static final String kRELEASE_SND = kSOUND_HOME + "release.au";
    public static final String kLOSE_SND = kSOUND_HOME + "onLoose.au";
    public static final String kWIN_SND = kSOUND_HOME + "onWin.au";

    public static final String kINTRO_SND = kSOUND_HOME + "intro.au";
    public static final String kBUILDWALL_SND = kSOUND_HOME + "onBWall.au";
    public static final String kBUILDCASTLE_SND = kSOUND_HOME + "onBCastle.au";
    public static final String kDESTROYWALL_SND = kSOUND_HOME + "onDWall.au";
    public static final String kDESTROYCASTLE_SND = kSOUND_HOME + "onDCastle.au";

    public static final String kRAISEGEMS_SND = kSOUND_HOME + "onRGems.au";
    public static final String kRAISESTONES_SND = kSOUND_HOME + "onRStones.au";
    public static final String kRAISEMONSTERS_SND = kSOUND_HOME + "onRMonsters.au";
    public static final String kDESTROYGEMS_SND = kSOUND_HOME + "onDGems.au";
    public static final String kDESTROYSTONES_SND = kSOUND_HOME + "onDstones.au";
    public static final String kDESTROYMONSTERS_SND = kSOUND_HOME + "onDMonsters.au";

    public static final String kRAISEGEMPROD_SND = kSOUND_HOME + "onRGemProd.au";
    public static final String kRAISESTONEPROD_SND = kSOUND_HOME + "onRStoneProd.au";
    public static final String kRAISEMONSTERPROD_SND = kSOUND_HOME + "onRMonsterProd.au";
    public static final String kDESTROYGEMPROD_SND = kSOUND_HOME + "onDGemProd.au";
    public static final String kDESTROYSTONEPROD_SND = kSOUND_HOME + "onDStoneProd.au";
    public static final String kDESTROYMONSTERPROD_SND = kSOUND_HOME + "onDMonsterProd.au";

    // IMAGES
    public static final String kTOWERA_IMG = kIMAGE_HOME + "blueTower.gif";
    public static final String kTOWERB_IMG = kIMAGE_HOME + "redTower.gif";
    public static final String kWALL_IMG = kIMAGE_HOME + "wall3d.gif";
    public static final String kBACKGROUND_IMG = kIMAGE_HOME + "background.jpg";
    public static final String kINTRO_LOGO = kIMAGE_HOME + "intrologo.gif";
    public static final String kINTRO_LOGO2 = kIMAGE_HOME + "intrologo2.gif";
    public static final String kINTRO_LOGO3 = kIMAGE_HOME + "intrologo3.gif";
    public static final String kINTRO_CRED = kIMAGE_HOME + "introCR.gif";
    public static final String kINTRO_CBLUE = kIMAGE_HOME + "introCB.gif";
    public static final String kINTRO_MESSAGE = kIMAGE_HOME + "intromsg.gif";
    public static final String kWIN_IMG = kIMAGE_HOME + "win.gif";
    public static final String kLOOSE_IMG = kIMAGE_HOME + "loose.gif";
    public static final String kGRAY_DECK_IMG = kIMAGE_HOME + "gray-deck.jpg";
    public static final String kPURPLE_DECK_IMG = kIMAGE_HOME + "purple-deck.jpg";
    public static final String kGREEN_DECK_IMG = kIMAGE_HOME + "green-deck.jpg";
}
