package com.azt.itower.util;

import java.io.*;

/**
 * Title:
 * A Game logger logs messages
 * @author thanassis@thanassis.com
 * @version 0.9 beta
 */
public class GameLogger {
    private static Logger logger;

    static {
        logger = new Logger(System.out, "GAS", true);
    }

    /**
     * Logs a Stirng
     * @param String The message
     */
    public static void log(String msg) {
        logger.log(msg);
    }

    /**
     * Logs a Throwable (Error or exception)
     * @param Throwable  (Error or exception)
     */
    public static void log(Throwable t) {
        logger.log(t);
    }

    /**
     * Logs both a message and a throwable
     * @param String The message
     * @param Throwable  (Error or exception)
     */
    public static void log(String msg, Throwable t) {
        logger.log(msg, t);
    }
}


